function [xyz,conec] = genmeshh8(lx,ly,lz,nx,ny,nz)
% [xyz,conec] = genmeshh8(lx,ly,lz,nx,ny,nz)
dy = ly/ny;
dx = lx/nx;
dz = lz/nz;
NbrOfNodes = (nx+1)*(ny+1)*(nz+1);
n=1;
xyz = zeros(NbrOfNodes,3);
for k=0:nz
    z = k*dz;
    for j=0:ny
        y = j*dy;
        for i=0:nx
            x = i*dx;
            xyz(n+i, :) = [x,y,z];
        end
        n = n + nx + 1;
    end
end

NbrOfElements = nx*ny*nz;
conec = zeros(NbrOfElements,8);

ele = 0;
n = 0;
for k=1:nz
    for j=1:ny
        for i=1:nx
            n1 = n+i;
            n2 = n1+1;
            n3 = n2+nx+1;
            n4 = n1+nx+1;
            ele = ele + 1;
            conec(ele,1:4) = [n1 n2 n3 n4];
            conec(ele,5:8) = [n1 n2 n3 n4]+(nx+1)*(ny+1);
        end
        n = n + nx + 1;
    end
    n = n + nx + 1;
end
